class ApiException implements Exception {
  final _message;
  final _prefix;

  ApiException([this._message, this._prefix = ""]);

  String toString() {
    return "$_prefix$_message";
  }
}

class GeneralException extends ApiException {
  GeneralException([String? message]) : super(message);
}
